--	Package File Template
--
--	Purpose: This package defines supplemental types, subtypes, 
--		 constants, and functions 


library IEEE;
use IEEE.STD_LOGIC_1164.all;

package pkg_d2a is

component pwmgen
	generic (
		width: integer :=4
   );
    Port ( inval : in  STD_LOGIC_VECTOR (width-1 downto 0);
           output : out  STD_LOGIC;
           clk : in  STD_LOGIC;
           reset : in  STD_LOGIC);
end component;

component deltasigma
	generic (
		width: integer :=4
   );
   Port ( inval : in  STD_LOGIC_VECTOR (width-1 downto 0);
           output : out  STD_LOGIC;
           clk : in  STD_LOGIC;
           reset : in  STD_LOGIC);
end component;

component noisegen is
    Port ( noise : out  STD_LOGIC_VECTOR (9 downto 0);
           clock : in  STD_LOGIC;
           reset : in  STD_LOGIC);
end component;

component filter is
	generic (
		mul: integer :=6;
		pole: integer := 62191);
    Port ( input : in  STD_LOGIC_VECTOR (9 downto 0);
           output : out  STD_LOGIC_VECTOR (9 downto 0);
			  reset: in STD_LOGIC;
           clk : in  STD_LOGIC);
end component;

end pkg_d2a;
